class Admin::Settings::ServicesController < Admin::SettingsController
  before_action :set_service, only: [:show, :update]

  def index
    redirect_to admin_settings_service_path("btcpay")
  end

  def show
  end

  def update
    update_settings

    redirect_to admin_settings_service_path(@service), flash: {
      success: "Settings saved"
    }
  end

  private

    def set_subsection
      @subsection = "services"
    end

    def set_service
      @service = params[:service]

      if @service.blank?
        redirect_to admin_settings_services_path and return
      end
    end
end
